channel.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

BoolVar | Gecode::channel (Home home, IntVar x, IntPropLevel ipl=IPL_DEF)
| Return Boolean variable equal to .
IntVar | Gecode::channel (Home home, BoolVar b, IntPropLevel ipl=IPL_DEF)
| Return integer variable equal to .
IntVar | Gecode::channel (Home home, FloatVar f)
| Return integer variable equal to .
SetVar | Gecode::channel (Home home, const IntVarArgs &x, IntPropLevel ipl=IPL_DEF)
| Return set variable equal to .